<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <!-- For more information on Entity Framework configuration, visit http://go.microsoft.com/fwlink/?LinkID=237468 -->
    <section name="entityFramework" type="System.Data.Entity.Internal.ConfigFile.EntityFrameworkSection, EntityFramework, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false"/>
  </configSections>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.7.2"/>
  </startup>

  <!--EFaturaService Katmanına Ait Yapılandırma-->
  <!--<system.serviceModel>
    <bindings>
      <basicHttpBinding>
        <binding name="PostBoxServiceEndpoint">
          <security mode="Transport" />
        </binding>
        <binding name="PostBoxServiceEndpoint_http" />
      </basicHttpBinding>
    </bindings>
    <client>
      <endpoint address="https://pb.elogo.com.tr/PostBoxService.svc"
        binding="basicHttpBinding" bindingConfiguration="PostBoxServiceEndpoint"
        contract="ServiceReference1.IPostBoxService" name="PostBoxServiceEndpoint" />
      <endpoint address="http://efaturaservice-g.elogo.com.tr/PostBoxService.svc"
        binding="basicHttpBinding" bindingConfiguration="PostBoxServiceEndpoint_http"
        contract="ServiceReference1.IPostBoxService" name="PostBoxServiceEndpoint_http" />
    </client>
  </system.serviceModel>-->


  <!--ECheckFaturaServis Katmanına Ait Yapılandırma-->
  <system.serviceModel>
    <bindings>
      <basicHttpBinding>
        <binding name="PostBoxServiceEndpoint" maxReceivedMessageSize="2147483647">
          <security mode="Transport"/>
        </binding>
        <binding name="PostBoxServiceEndpoint_http"/>
        <binding name="BasicHttpBinding_IBerkaLisansService"/>
      </basicHttpBinding>
    </bindings>
    <client>
      <endpoint address="https://pb.elogo.com.tr/PostBoxService.svc" binding="basicHttpBinding" bindingConfiguration="PostBoxServiceEndpoint" contract="PostBoxServiceSvc.IPostBoxService" name="PostBoxServiceEndpoint"/>
      <endpoint address="http://efaturaservice-g.elogo.com.tr/PostBoxService.svc" binding="basicHttpBinding" bindingConfiguration="PostBoxServiceEndpoint_http" contract="PostBoxServiceSvc.IPostBoxService" name="PostBoxServiceEndpoint_http"/>
      <endpoint address="http://yserver/BerkaLisans/LisansWcfServis.BerkaLisansService.svc" binding="basicHttpBinding" bindingConfiguration="BasicHttpBinding_IBerkaLisansService" contract="BerkaLisans.IBerkaLisansService" name="BasicHttpBinding_IBerkaLisansService"/>
    </client>
  </system.serviceModel>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="itext.kernel" publicKeyToken="8354ae6d2174ddca" culture="neutral"/>
        <bindingRedirect oldVersion="0.0.0.0-7.1.8.0" newVersion="7.1.8.0"/>
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="itext.html2pdf" publicKeyToken="8354ae6d2174ddca" culture="neutral"/>
        <bindingRedirect oldVersion="0.0.0.0-2.1.5.0" newVersion="2.1.5.0"/>
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="itext.layout" publicKeyToken="8354ae6d2174ddca" culture="neutral"/>
        <bindingRedirect oldVersion="0.0.0.0-7.1.8.0" newVersion="7.1.8.0"/>
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="itext.io" publicKeyToken="8354ae6d2174ddca" culture="neutral"/>
        <bindingRedirect oldVersion="0.0.0.0-7.1.8.0" newVersion="7.1.8.0"/>
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
  <entityFramework>
    <providers>
      <provider invariantName="System.Data.SqlClient" type="System.Data.Entity.SqlServer.SqlProviderServices, EntityFramework.SqlServer"/>
    </providers>
  </entityFramework>
</configuration>
